- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# out transport info

## Files
file | axis2_out_transport_info.h
| axis2 Out Transport Info

## Classes
struct | axis2_out_transport_info_ops
struct | axis2_out_transport_info
## Defines
#define | AXIS2_OUT_TRANSPORT_INFO_SET_CONTENT_TYPE(out_transport_info, env, content_type) ((out_transport_info->ops)->set_content_type(out_transport_info, env, content_type))
#define | AXIS2_OUT_TRANSPORT_INFO_SET_CHAR_ENCODING(out_transport_info, env, encoding) ((out_transport_info->ops)->set_char_encoding(out_transport_info, env, encoding))
#define | AXIS2_OUT_TRANSPORT_INFO_FREE(out_transport_info, env) ((out_transport_info->ops)->free(out_transport_info, env))
## Typedefs
typedef struct axis2_out_transport_info | axis2_out_transport_info_t
typedef struct axis2_out_transport_info_ops | axis2_out_transport_info_ops_t

## Detailed Description

Description

## Define Documentation

#define AXIS2_OUT_TRANSPORT_INFO_FREE | ( | out_transport_info,
|  | env |  | ) | ((out_transport_info->ops)->free(out_transport_info, env))

Free.

#define AXIS2_OUT_TRANSPORT_INFO_SET_CHAR_ENCODING | ( | out_transport_info,
|  | env,
|  | encoding |  | ) | ((out_transport_info->ops)->set_char_encoding(out_transport_info, env, encoding))

Set cahr encoding.

#define AXIS2_OUT_TRANSPORT_INFO_SET_CONTENT_TYPE | ( | out_transport_info,
|  | env,
|  | content_type |  | ) | ((out_transport_info->ops)->set_content_type(out_transport_info, env, content_type))

Set content type.

## Typedef Documentation

typedef struct axis2_out_transport_info axis2_out_transport_info_t

Type name for struct axis2_out_transport_info